Loading...
Searching...
No Matches
utcb.h File Reference
Base API » Object Invocation

UTCB definitions. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/compiler.h>`
`#include <l4/sys/l4int.h>`
Include dependency graph for utcb.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

union | l4_msg_regs_t
| Encapsulation of the message-register block in the UTCB. More...
struct | l4_buf_regs_t
| Encapsulation of the buffer-registers block in the UTCB. More...
struct | l4_thread_regs_t
| Encapsulation of the thread-control-register block of the UTCB. More...

## Typedefs

typedef struct l4_utcb_t | l4_utcb_t
| Opaque type for the UTCB.
typedef union l4_msg_regs_t | l4_msg_regs_t
| Encapsulation of the message-register block in the UTCB.
typedef struct l4_buf_regs_t | l4_buf_regs_t
| Encapsulation of the buffer-registers block in the UTCB.
typedef struct l4_thread_regs_t | l4_thread_regs_t
| Encapsulation of the thread-control-register block of the UTCB.

## Functions

l4_utcb_t * | l4_utcb (void) L4_NOTHROW L4_PURE
| Get the UTCB address.
l4_msg_regs_t * | l4_utcb_mr (void) L4_NOTHROW L4_PURE
| Get the message-register block of a UTCB.
l4_buf_regs_t * | l4_utcb_br (void) L4_NOTHROW L4_PURE
| Get the buffer-register block of a UTCB.
l4_thread_regs_t * | l4_utcb_tcr (void) L4_NOTHROW L4_PURE
| Get the thread-control-register block of a UTCB.
l4_exc_regs_t * | l4_utcb_exc (void) L4_NOTHROW L4_PURE
| Get the message-register block of a UTCB (for an exception IPC).
l4_umword_t | l4_utcb_exc_pc (l4_exc_regs_t const *u) L4_NOTHROW L4_PURE
| Access function to get the program counter of the exception state.
void | l4_utcb_exc_pc_set (l4_exc_regs_t *u, l4_addr_t pc) L4_NOTHROW
| Set the program counter register in the exception state.
unsigned long | l4_utcb_exc_typeval (l4_exc_regs_t const *u) L4_NOTHROW L4_PURE
| Get the value out of an exception UTCB that describes the type of exception.
int | l4_utcb_exc_is_pf (l4_exc_regs_t const *u) L4_NOTHROW L4_PURE
| Check whether an exception IPC is a page fault.
l4_addr_t | l4_utcb_exc_pfa (l4_exc_regs_t const *u) L4_NOTHROW L4_PURE
| Function to get the L4 style page fault address out of an exception.
int | l4_utcb_exc_is_ex_regs_exception (l4_exc_regs_t const *u) L4_NOTHROW L4_PURE
| Check whether an exception IPC was triggered via l4_thread_ex_regs().
void | l4_utcb_inherit_fpu (int switch_on) L4_NOTHROW
| Enable or disable inheritance of FPU state to receiver.
l4_timeout_s | l4_timeout_abs (l4_kernel_clock_t pint, int br) L4_NOTHROW
| Set an absolute timeout.
unsigned | l4_utcb_mr64_idx (unsigned idx) L4_NOTHROW
| Get index into 64bit message registers alias from native-sized index.

## Detailed Description

UTCB definitions.

Definition in file utcb.h.